Loading...
Searching...
No Matches
BALL::VIEW::Line Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/line.h>`

Inheritance diagram for BALL::VIEW::Line:

## Public Member Functions

Constructors
| Line ()
| Line (const Line &line)
Destructors
virtual | ~Line ()
virtual void | clear ()
Assignment methods
void | set (const Line &line)
const Line & | operator= (const Line &line)
void | swap (Line &line)
debuggers and diagnostics
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual void | getVertices (vector< Vector3 > &vertices) const
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const
Public Member Functions inherited from BALL::VIEW::Vertex2
| Vertex2 ()
| Vertex2 (const Vertex2 &vertex)
virtual | ~Vertex2 ()
void | set (const Vertex2 &vertex)
const Vertex2 & | operator= (const Vertex2 &vertex)
void | swap (Vertex2 &vertex)
void | setVertex1 (const Vector3 &v)
void | setVertex1 (const float x, const float y, const float z)
Vector3 & | getVertex1 ()
const Vector3 & | getVertex1 () const
void | getVertex1 (Vector3 &v) const
void | getVertex1 (float &x, float &y, float &z) const
void | setVertex1Address (const Vector3 &v)
void | setDefaultVertex1Address ()
Vector3 * | getVertex1Address () const
void | setVertex2 (const Vector3 &v)
void | setVertex2 (const float x, const float y, const float z)
Vector3 & | getVertex2 ()
const Vector3 & | getVertex2 () const
void | getVertex2 (Vector3 &v) const
void | getVertex2 (float &x, float &y, float &z) const
void | setVertex2Address (const Vector3 &v)
void | setDefaultVertex2Address ()
Vector3 * | getVertex2Address () const
void | setVertices (const Vector3 &vertex1, const Vector3 &vertex2)
void | setVertices (const float vertex1_x, const float vertex1_y, const float vertex1_z, const float vertex2_x, const float vertex2_y, const float vertex2_z)
void | setVertexAddresses (const Vector3 &vertex1, const Vector3 &vertex2)
void | getVertices (Vector3 &vertex1, Vector3 &vertex2)
void | getVertices (float &vertex1_x, float &vertex1_y, float &vertex1_z, float &vertex2_x, float &vertex2_y, float &vertex2_z)
void | setDefaultVertexAddresses ()
bool | isDefaultVertex1Address () const
bool | isDefaultVertex2Address () const
bool | isDefaultVertexAddresses () const

## Detailed Description

Line class. An instance of Line represents an instance of the geometric representation "line". A line has the following properties.

- color - the color of the line
- vertex1 - the first vertex of the line
- vertex2 - the second vertex of the line
    The class Line is derived from the classes GeometricObject and Vertex2. See these classes for further information concerning interface and additional methods.

Definition at line 35 of file line.h.

## Constructor & Destructor Documentation

## Line() [1/2]

BALL::VIEW::Line::Line | ( |  | ) |

Default Constructor. Construct new line. The properties of this line are set to:

- color - to the color black
- vertex1 - to the vector (0,0,0)
- vertex2 - to the vector (0,0,0)
  Returns
    Line new constructed line
  See also
    GeometricObject
    Vertex2

## Line() [2/2]

BALL::VIEW::Line::Line | ( | const Line & | line | ) |

Copy constructor with cloning facility.

See also
  GeometricObject
  Vertex2

## ~Line()

virtual BALL::VIEW::Line::~Line | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::VIEW::Line::clear | ( |  | ) |

virtual

Explicit default initialization. Calls GeometricObject::clear. Calls Vertex2::clear.

See also
  GeometricObject::clear
  Vertex2::clear

Reimplemented from BALL::VIEW::GeometricObject.

## dump()

virtual void BALL::VIEW::Line::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current value of this line to the output ostream s with dumping depth depth. Calls GeometricObject::dump. Calls Vertex2::dump.

Parameters

  s | output stream where to output the value of this line
  depth | the dumping depth

See also
  GeometricObject::dump
  Vertex2::dump

Reimplemented from BALL::VIEW::GeometricObject.

## getVertices()

virtual void BALL::VIEW::Line::getVertices | ( | vector< Vector3 > & | vertices | ) | const

virtual

## isValid()

virtual bool BALL::VIEW::Line::isValid | ( |  | ) | const

virtual

Internal state and consistency self-validation. Initiate self-validation of the internal state and data structure consistencies of this line. If the internal state of this line is correct (self-validated) and consistent true is returned, false otherwise. Calls GeometricObject::isValid. Calls Vertex2::isValid.

Returns
  bool true if the internal state of this line is correct (self-validated) and consistent, false otherwise

See also
  GeometricObject::isValid
  Vertex2::isValid

Reimplemented from BALL::VIEW::GeometricObject.

## operator=()

const Line & BALL::VIEW::Line::operator= | ( | const Line & | line | ) |

Assignment operator. Calls set.

## set()

void BALL::VIEW::Line::set | ( | const Line & | line | ) |

Assign the line line to this line. the line line.

## swap()

void BALL::VIEW::Line::swap | ( | Line & | line | ) |

Swapping of line's. Swap the value of this line with the line line.

Parameters

  line | the line being swapped with this line

See also
  Line